Smidig metod för installation av Apache2, PHP4, MySQL4?

Tråden skapades och har fått 18 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Malmö
  • 2006-07-05 13:45

FInns det någon smidig metod för att lyckas installera kombinationen Apache2, PHP4, MySQL 4.0 som fungerar för både PPC och intel? Jag har fått ett krav på mig om att fixa in just den kombinationen på en PPC-burk först. Får jag det att fungera bra så har företaget lova att köpa in en ny intel-mac som ska få bli min arbetsdator och lokal test-server...

All hjälp mottages tacksamt.

  • Medlem
  • Stockholm
  • 2006-07-05 13:57

http://www.mamp.info/en/home/
färdigt paket som fixar allt i en installation

Har du provat MAMP? Jag har aldrig provat det själv men det kanske är värt ett försök?

  • Medlem
  • Malmö
  • 2006-07-05 14:05

Vad jag kan se så har MAMP PHP5 och MYSQL5... och jag fick besked på att det skulle vara PHP4 (valfri subversion) och MYSQL 4.0

Jag har tankat ner PHP4 och har kompilerat det och så, men kan inte få det fungerande med Apache2-servern... Jag tar gärna emot tips om det också.

(tillägg: Instruktionerna som finns i php4-paketet talar bara om en modul som ska installeras och att en rad ska bortkommenteras i httpd.conf för apache1.3, men hittar ingen info för apache2)

MySQL 4 är installerat... Men helst hade jag sett ett färdigt paket där man kan välja kombinationen fritt... i och med att det ska installeras sedan igen.

  • Medlem
  • Malmö
  • 2006-07-05 14:21

När jag väl installerat MAMP såg jag att man kunde välja version av PHP som skulle användas. UNDERBART!

Nu undrar jag bara över MySQL-versionen som används.

Tack till er som föreslog MAMP.

Börja med att ta en titt på den här välskrivna guiden:
http://www.99mac.se/mac-os-x/100340-guide-installera-webbserver-pa-mac-os-x-10-4-a.html

  • Medlem
  • Malmö
  • 2006-07-05 14:22
Ursprungligen av Björn Leander:

Börja med att ta en titt på den här välskrivna guiden:
http://www.99mac.se/mac-os-x/100340-guide-installera-webbserver-pa-mac-os-x-10-4-a.html

Har redan kollat på den, men hakade upp mig på att han installerade PHP5 samt att det stod: "(ppc, ej intel)."

Ursprungligen av Timber:

Har redan kollat på den, men hakade upp mig på att han installerade PHP5 samt att det stod: "(ppc, ej intel)."

Förfaringssättet torde vara samma på intel med skillnaden att man kanske får använda andra installationsfiler.

  • Medlem
  • Malmö
  • 2006-07-05 15:26

Antingen körde MAME automatiskt med MySQL 4 eller så gick det som du sa, Björn Leander, med min installation av MySQL4. Tack till alla för hjälpen... nu ska vi förhoppningsvis strax beställa en iMac 20" till mig som arbetsdator.

Ursprungligen av Timber:

Har redan kollat på den, men hakade upp mig på att han installerade PHP5 samt att det stod: "(ppc, ej intel)."

Det som behöver ändras för intel (såvitt jag kommer ihåg) är just MySQL-installationen.

MySQL har en vanlig installerare som man kan använda. Då kan du köra den istället för att köra den som MAMP använder. En inställningspanel för start och stopp av MySQL-servern lägger sig i System Preferences. MySQL 4.1 finns för både Intel och PowerPC.

http://dev.mysql.com/downloads/mysql/4.1.html

Ursprungligen av Timber:

FInns det någon smidig metod för att lyckas installera kombinationen Apache2, PHP4, MySQL 4.0 som fungerar för både PPC och intel? Jag har fått ett krav på mig om att fixa in just den kombinationen på en PPC-burk först. Får jag det att fungera bra så har företaget lova att köpa in en ny intel-mac som ska få bli min arbetsdator och lokal test-server...

All hjälp mottages tacksamt.

Ett annat alternativ kan vara att använda http://darwinports.com/.

När den är installerad så kör: sudo port install php4 +apache2 +mysql4 så laddas dessa ner och kompileras.

  • Medlem
  • Malmö
  • 2006-07-05 18:35
Ursprungligen av Arch@ngel:

Ett annat alternativ kan vara att använda http://darwinports.com/.

När den är installerad så kör: sudo port install php4 +apache2 +mysql4 så laddas dessa ner och kompileras.

Ah... har bara testat fink sedan tidigare, och jämfört med exempelvis apt-get är det löjligt, men darwinports verkar faktiskt ganska bra... kommer inte använda det i detta fallet, men sparar det för framtiden.

Vi kör själva med Entropy: http://www.entropy.ch/software/macosx/

Ursprungligen av Björnström:

Vi kör själva med Entropy: http://www.entropy.ch/software/macosx/

Jag gillar också Entropys paket, det kan knappast bli enklare.

  • Medlem
  • Malmö
  • 2006-07-06 19:31

Som uppföljning behöver jag lösa ytterligare en sak innan företaget beställer in min Mac.

Jag har även Tomcat 5.5 installerat och nu behöver jag ordna så att både PHP och JSP-filer kan skötas om genom "virtual host". Jag har sökt och hittat en lösning för det till Apache 1.3, men kan inte lyckas med att applicera detta på MAME. Både för att MAME använder Apache2 samt att jag inte verkar kunna hitta var MAME installerar Apache2 (verkar inte använda den som medföljer med Mac OS X).

Om någon har fixat detta innan eller vet om hur jag ska gå tillväga så tar jag gärna emot tips om detta.

(Härlig start på ett nytt arbete att arbetsgivaren köper in Mac till mig, förresten)

  • Medlem
  • Malmö
  • 2006-07-09 18:25

Usch.. nu känns det ganska dåligt... jag har inte lyckats med att fixa in modulen för tomcat alls.

Det kvittar vilken apache-version jag kör med... jag har provat diverse kombinationer under hela helgen utan att lyckas. Finns det verkligen inga färdigkompilerade lösningar för detta?

Ursprungligen av Timber:

Usch.. nu känns det ganska dåligt... jag har inte lyckats med att fixa in modulen för tomcat alls.

Det kvittar vilken apache-version jag kör med... jag har provat diverse kombinationer under hela helgen utan att lyckas. Finns det verkligen inga färdigkompilerade lösningar för detta?

Har inte ens försökt med Tomcat på MacOSX klient. Den är färdig att köra på server. Men denna kanske kan vara något? http://www.versiontracker.com/dyn/moreinfo/macosx/27151

  • Medlem
  • Malmö
  • 2006-07-09 19:43
Ursprungligen av Arch@ngel:

Har inte ens försökt med Tomcat på MacOSX klient. Den är färdig att köra på server. Men denna kanske kan vara något? http://www.versiontracker.com/dyn/moreinfo/macosx/27151

Dessvärre så ser det ut som att det där inte är vad jag söker... jag är ute efter att kunna använda Apache för PHP-sidor och Tomcat för JSP-sidor... problemet ligger inte i installationen av Apache eller Tomcat i sig, utan att få kopplingen att fungera. Det ska gå att ordna med modulen mod_jk (Jakarta Connector), men jag lyckas inte hur jag än gör.

Jag tror att jag ska testa med att blåsa ut min iBook helt och testa att börja om från början...

1
Bevaka tråden